gdata.calendar | index /usr/lib/python2.7/dist-packages/gdata/calendar/__init__.py

`Contains extensions to ElementWrapper objects used with Google Calendar.`

Package Contents

``

client | data | service |

Classes

``

atom.AtomBase(atom.ExtensionContainer)
  Comments
  GuestsCanInviteOthers
  GuestsCanModify
  GuestsCanSeeGuests
  OriginalEvent
  QuickAdd
  Recurrence
  RecurrenceException
  Reminder
  Scope
  SendEventNotifications
  Sequence
  SyncEvent
  UID
  UriEnumElement
    AttendeeStatus
    AttendeeType
    EventStatus
    Transparency
    Visibility
    Who
  ValueAttributeContainer
    AccessLevel
    Color
    Hidden
    Role
    Selected
    Timezone
  WebContent
  WebContentGadgetPref
  When
  Where
atom.Link(atom.AtomBase)
  WebContentLink
gdata.BatchEntry(gdata.GDataEntry)
  CalendarEventEntry
gdata.BatchFeed(gdata.GDataFeed)
  CalendarEventFeed(gdata.BatchFeed, gdata.LinkFinder)
gdata.EntryLink(atom.AtomBase)
  CalendarEventEntryLink
gdata.ExtendedProperty(atom.AtomBase)
  ExtendedProperty
gdata.GDataEntry(atom.Entry, gdata.LinkFinder)
  CalendarAclEntry(gdata.GDataEntry, gdata.LinkFinder)
  CalendarEventCommentEntry(gdata.GDataEntry, gdata.LinkFinder)
  CalendarListEntry(gdata.GDataEntry, gdata.LinkFinder)
gdata.GDataFeed(atom.Feed, gdata.LinkFinder)
  CalendarAclFeed(gdata.GDataFeed, gdata.LinkFinder)
  CalendarEventCommentFeed(gdata.GDataFeed, gdata.LinkFinder)
  CalendarListFeed(gdata.GDataFeed, gdata.LinkFinder)
gdata.LinkFinder(atom.LinkFinder)
  CalendarAclEntry(gdata.GDataEntry, gdata.LinkFinder)
  CalendarAclFeed(gdata.GDataFeed, gdata.LinkFinder)
  CalendarEventCommentEntry(gdata.GDataEntry, gdata.LinkFinder)
  CalendarEventCommentFeed(gdata.GDataFeed, gdata.LinkFinder)
  CalendarEventFeed(gdata.BatchFeed, gdata.LinkFinder)
  CalendarListEntry(gdata.GDataEntry, gdata.LinkFinder)
  CalendarListFeed(gdata.GDataFeed, gdata.LinkFinder)

class AccessLevel(ValueAttributeContainer)
`` | `The Google Calendar accesslevel element`

Method resolution order:
  AccessLevel
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class AttendeeStatus(UriEnumElement)
`` | `The Google Calendar attendeeStatus element`

Method resolution order:
  AttendeeStatus
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

attendee_enum = {'http://schemas.google.com/g/2005#event.accepted': 'ACCEPTED', 'http://schemas.google.com/g/2005#event.declined': 'DECLINED', 'http://schemas.google.com/g/2005#event.invited': 'INVITED', 'http://schemas.google.com/g/2005#event.tentative': 'TENTATIVE'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class AttendeeType(UriEnumElement)
`` | `The Google Calendar attendeeType element`

Method resolution order:
  AttendeeType
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

attendee_type_enum = {'http://schemas.google.com/g/2005#event.optional': 'OPTIONAL', 'http://schemas.google.com/g/2005#event.required': 'REQUIRED'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CalendarAclEntry(gdata.GDataEntry, gdata.LinkFinder)
`` | `A Google Calendar ACL Entry flavor of an Atom Entry`

Method resolution order:
  CalendarAclEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, scope=None, role=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarAclFeed(gdata.GDataFeed, gdata.LinkFinder)
`` | `A Google Calendar ACL feed flavor of an Atom Feed`

Method resolution order:
  CalendarAclFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from gdata.GDataFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Source
  Args:
  author: list (optional) A list of Author instances which belong to this
  class.
  category: list (optional) A list of Category instances
  contributor: list (optional) A list on Contributor instances
  generator: Generator (optional)
  icon: Icon (optional)
  id: Id (optional) The entry's Id element
  link: list (optional) A list of Link instances
  logo: Logo (optional)
  rights: Rights (optional) The entry's Rights element
  subtitle: Subtitle (optional) The entry's subtitle element
  title: Title (optional) the entry's title element
  updated: Updated (optional) the entry's updated element
  entry: list (optional) A list of the Entry instances contained in the
  feed.
  text: String (optional) The text contents of the element. This is the
  contents of the Entry's XML text node.
  (Example: <foo>This is the text</foo>)
  extension_elements: list (optional) A list of ExtensionElement instances
  which are children of this element.
  extension_attributes: dict (optional) A dictionary of strings which are
  the values for additional XML attributes of this element.`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarEventCommentEntry(gdata.GDataEntry, gdata.LinkFinder)
`` | `A Google Calendar event comments entry flavor of an Atom Entry`

Method resolution order:
  CalendarEventCommentEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.Entry:

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarEventCommentFeed(gdata.GDataFeed, gdata.LinkFinder)
`` | `A Google Calendar event comments feed flavor of an Atom Feed`

Method resolution order:
  CalendarEventCommentFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from gdata.GDataFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Source
  Args:
  author: list (optional) A list of Author instances which belong to this
  class.
  category: list (optional) A list of Category instances
  contributor: list (optional) A list on Contributor instances
  generator: Generator (optional)
  icon: Icon (optional)
  id: Id (optional) The entry's Id element
  link: list (optional) A list of Link instances
  logo: Logo (optional)
  rights: Rights (optional) The entry's Rights element
  subtitle: Subtitle (optional) The entry's subtitle element
  title: Title (optional) the entry's title element
  updated: Updated (optional) the entry's updated element
  entry: list (optional) A list of the Entry instances contained in the
  feed.
  text: String (optional) The text contents of the element. This is the
  contents of the Entry's XML text node.
  (Example: <foo>This is the text</foo>)
  extension_elements: list (optional) A list of ExtensionElement instances
  which are children of this element.
  extension_attributes: dict (optional) A dictionary of strings which are
  the values for additional XML attributes of this element.`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarEventEntry(gdata.BatchEntry)
`` | `A Google Calendar flavor of an Atom Entry`

Method resolution order:
  CalendarEventEntry
  gdata.BatchEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

GetWebContentLink(self)
  `Finds the first link with rel set to WEB_CONTENT_REL
  Returns:
  A gdata.calendar.WebContentLink or none if none of the links had rel
  equal to WEB_CONTENT_REL`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, transparency=None, comments=None, event_status=None, send_event_notifications=None, visibility=None, recurrence=None, recurrence_exception=None, where=None, when=None, who=None, quick_add=None, extended_property=None, original_event=None, batch_operation=None, batch_id=None, batch_status=None, sequence=None, reminder=None, sync_event=None, uid=None, guests_can_invite_others=None, guests_can_modify=None, guests_can_see_guests=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarEventEntryLink(gdata.EntryLink)
`` | `An entryLink which contains a calendar event entry Within an event's recurranceExceptions, an entry link points to a calendar event entry. This class exists to capture the calendar specific extensions in the entry.`

Method resolution order:
  CalendarEventEntryLink
  gdata.EntryLink
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from gdata.EntryLink:

__init__(self, href=None, read_only=None, rel=None, entry=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CalendarEventFeed(gdata.BatchFeed, gdata.LinkFinder)
`` | `A Google Calendar event feed flavor of an Atom Feed`

Method resolution order:
  CalendarEventFeed
  gdata.BatchFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, interrupted=None, timezone=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.BatchFeed:

AddBatchEntry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.Entry, or another Entry flavor (optional) The
  entry which will be sent to the server as part of the batch request.
  The item must have a valid atom id so that the server knows which
  entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

GetBatchLink(self)

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarListEntry(gdata.GDataEntry, gdata.LinkFinder)
`` | `A Google Calendar meta Entry flavor of an Atom Entry`

Method resolution order:
  CalendarListEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, color=None, access_level=None, hidden=None, timezone=None, selected=None, where=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class CalendarListFeed(gdata.GDataFeed, gdata.LinkFinder)
`` | `A Google Calendar meta feed flavor of an Atom Feed`

Method resolution order:
  CalendarListFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from gdata.GDataFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Source
  Args:
  author: list (optional) A list of Author instances which belong to this
  class.
  category: list (optional) A list of Category instances
  contributor: list (optional) A list on Contributor instances
  generator: Generator (optional)
  icon: Icon (optional)
  id: Id (optional) The entry's Id element
  link: list (optional) A list of Link instances
  logo: Logo (optional)
  rights: Rights (optional) The entry's Rights element
  subtitle: Subtitle (optional) The entry's subtitle element
  title: Title (optional) the entry's title element
  updated: Updated (optional) the entry's updated element
  entry: list (optional) A list of the Entry instances contained in the
  feed.
  text: String (optional) The text contents of the element. This is the
  contents of the Entry's XML text node.
  (Example: <foo>This is the text</foo>)
  extension_elements: list (optional) A list of ExtensionElement instances
  which are children of this element.
  extension_attributes: dict (optional) A dictionary of strings which are
  the values for additional XML attributes of this element.`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class Color(ValueAttributeContainer)
`` | `The Google Calendar color element`

Method resolution order:
  Color
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Comments(atom.AtomBase)
`` | `The Google Calendar comments element`

Method resolution order:
  Comments
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, rel=None, feed_link=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class EventStatus(UriEnumElement)
`` | `The Google Calendar eventStatus element`

Method resolution order:
  EventStatus
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

status_enum = {'http://schemas.google.com/g/2005#event.canceled': 'CANCELED', 'http://schemas.google.com/g/2005#event.confirmed': 'CONFIRMED', 'http://schemas.google.com/g/2005#event.tentative': 'TENTATIVE'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ExtendedProperty(gdata.ExtendedProperty)
`` | `A transparent subclass of gdata.ExtendedProperty added to this module for backwards compatibility.`

Method resolution order:
  ExtendedProperty
  gdata.ExtendedProperty
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from gdata.ExtendedProperty:

GetXmlBlobExtensionElement(self)
  `Returns the XML blob as an atom.ExtensionElement.
  Returns:
  An atom.ExtensionElement representing the blob's XML, or None if no
  blob was set.`

GetXmlBlobString(self)
  `Returns the XML blob as a string.
  Returns:
  A string containing the blob's XML, or None if no blob was set.`

SetXmlBlob(self, blob)
  `Sets the contents of the extendedProperty to XML as a child node.
  Since the extendedProperty is only allowed one child element as an XML
  blob, setting the XML blob will erase any preexisting extension elements
  in this object.
  Args:
  blob: str, ElementTree Element or atom.ExtensionElement representing
  the XML blob stored in the extendedProperty.`

__init__(self, name=None, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GuestsCanInviteOthers(atom.AtomBase)
`` | `Indicates whether event attendees may invite others to the event. This element may only be changed by the organizer of the event. If not included as part of the event entry, this element will default to true during a POST request, and will inherit its previous value during a PUT request.`

Method resolution order:
  GuestsCanInviteOthers
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value='true', *args, **kwargs)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GuestsCanModify(atom.AtomBase)

``

`Indicates whether event attendees may modify the original event.
If yes, changes are visible to organizer and other attendees. Otherwise,
any changes made by attendees will be restricted to that attendee's
calendar.
This element may only be changed by the organizer of the event, and may
be set to 'true' only if both gCal:guestsCanInviteOthers and
gCal:guestsCanSeeGuests are set to true in the same PUT/POST request.
Otherwise, request fails with HTTP error code 400 (Bad Request).
If not included as part of the event entry, this element will default to
false during a POST request, and will inherit its previous value during a
PUT request.
`

Method resolution order:
  GuestsCanModify
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value='false', *args, **kwargs)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GuestsCanSeeGuests(atom.AtomBase)

``

`Indicates whether attendees can see other people invited to the event.
The organizer always sees all attendees. Guests always see themselves. This
property affects what attendees see in the event's guest list via both the
Calendar UI and API feeds.
This element may only be changed by the organizer of the event.
If not included as part of the event entry, this element will default to
true during a POST request, and will inherit its previous value during a
PUT request.
`

Method resolution order:
  GuestsCanSeeGuests
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value='true', *args, **kwargs)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Hidden(ValueAttributeContainer)
`` | `The Google Calendar hidden element`

Method resolution order:
  Hidden
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class OriginalEvent(atom.AtomBase)
`` | `The Google Calendar OriginalEvent element`

Method resolution order:
  OriginalEvent
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, id=None, href=None, when=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class QuickAdd(atom.AtomBase)
`` | `The Google Calendar quickadd element`

Method resolution order:
  QuickAdd
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, value=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Recurrence(atom.AtomBase)
`` | `The Google Calendar Recurrence element`

Method resolution order:
  Recurrence
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class RecurrenceException(atom.AtomBase)
`` | `The Google Calendar RecurrenceException element`

Method resolution order:
  RecurrenceException
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, specialized=None, entry_link=None, original_event=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Reminder(atom.AtomBase)
`` | `The Google Calendar reminder element`

Method resolution order:
  Reminder
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, absolute_time=None, days=None, hours=None, minutes=None, method=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Role(ValueAttributeContainer)
`` | `The Google Calendar timezone element`

Method resolution order:
  Role
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Scope(atom.AtomBase)
`` | `The Google ACL scope element`

Method resolution order:
  Scope
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, value=None, scope_type=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Selected(ValueAttributeContainer)
`` | `The Google Calendar selected element`

Method resolution order:
  Selected
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class SendEventNotifications(atom.AtomBase)
`` | `The Google Calendar sendEventNotifications element`

Method resolution order:
  SendEventNotifications
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, value=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Sequence(atom.AtomBase)

``

Method resolution order:
  Sequence
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class SyncEvent(atom.AtomBase)

``

Method resolution order:
  SyncEvent
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value='false', extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Timezone(ValueAttributeContainer)
`` | `The Google Calendar timezone element`

Method resolution order:
  Timezone
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from ValueAttributeContainer:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Transparency(UriEnumElement)
`` | `The Google Calendar Transparency element`

Method resolution order:
  Transparency
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

transparency_enum = {'http://schemas.google.com/g/2005#event.opaque': 'OPAQUE', 'http://schemas.google.com/g/2005#event.transparent': 'TRANSPARENT'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class UID(atom.AtomBase)

``

Method resolution order:
  UID
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class UriEnumElement(atom.AtomBase)

``

Method resolution order:
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, tag, enum_map, attrib_name='value', extension_elements=None, extension_attributes=None, text=None)

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ValueAttributeContainer(atom.AtomBase)
`` | `A parent class for all Calendar classes which have a value attribute. Children include Color, AccessLevel, Hidden`

Method resolution order:
  ValueAttributeContainer
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Visibility(UriEnumElement)
`` | `The Google Calendar Visibility element`

Method resolution order:
  Visibility
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

visibility_enum = {'http://schemas.google.com/g/2005#event.confidential': 'CONFIDENTIAL', 'http://schemas.google.com/g/2005#event.default': 'DEFAULT', 'http://schemas.google.com/g/2005#event.private': 'PRIVATE', 'http://schemas.google.com/g/2005#event.public': 'PUBLIC'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class WebContent(atom.AtomBase)

``

Method resolution order:
  WebContent
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, url=None, width=None, height=None, text=None, gadget_pref=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class WebContentGadgetPref(atom.AtomBase)

``

Method resolution order:
  WebContentGadgetPref
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, value=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class WebContentLink(atom.Link)

``

Method resolution order:
  WebContentLink
  atom.Link
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, title=None, href=None, link_type=None, web_content=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class When(atom.AtomBase)
`` | `The Google Calendar When element`

Method resolution order:
  When
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, start_time=None, end_time=None, reminder=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Where(atom.AtomBase)
`` | `The Google Calendar Where element`

Method resolution order:
  Where
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value_string=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Who(UriEnumElement)
`` | `The Google Calendar Who element`

Method resolution order:
  Who
  UriEnumElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, email=None, attendee_status=None, attendee_type=None, rel=None, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

relEnum = {'http://schemas.google.com/g/2005#event.attendee': 'ATTENDEE', 'http://schemas.google.com/g/2005#event.organizer': 'ORGANIZER', 'http://schemas.google.com/g/2005#event.performer': 'PERFORMER', 'http://schemas.google.com/g/2005#event.speaker': 'SPEAKER', 'http://schemas.google.com/g/2005#message.bcc': 'BCC', 'http://schemas.google.com/g/2005#message.cc': 'CC', 'http://schemas.google.com/g/2005#message.from': 'FROM', 'http://schemas.google.com/g/2005#message.reply-to': 'REPLY_TO', 'http://schemas.google.com/g/2005#message.to': 'TO'}

Methods inherited from UriEnumElement:

findKey(self, value)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

CalendarAclEntryFromString(xml_string)

CalendarAclFeedFromString(xml_string)

CalendarEventCommentEntryFromString(xml_string)

CalendarEventCommentFeedFromString(xml_string)

CalendarEventEntryFromString(xml_string)

CalendarEventEntryLinkFromString(xml_string)

CalendarEventFeedFromString(xml_string)

CalendarListEntryFromString(xml_string)

CalendarListFeedFromString(xml_string)

GetCalendarEventEntryClass()

Data
`` |  | GACL_NAMESPACE = 'http://schemas.google.com/acl/2007' GACL_TEMPLATE = '{http://schemas.google.com/acl/2007}%s' GCAL_NAMESPACE = 'http://schemas.google.com/gCal/2005' GCAL_TEMPLATE = '{http://schemas.google.com/gCal/2005}%s' WEB_CONTENT_LINK_REL = 'http://schemas.google.com/gCal/2005/webContent' __author__ = 'api.vli (Vivian Li), api.rboyd (Ryan Boyd)'

Author
`` |  | api.vli (Vivian Li), api.rboyd (Ryan Boyd)